Subject: [bug#71672] [PATCH] python: Prefer python3 over python

From: Karl Berry <[email-masked]>
Date: Mon, 24 Feb 2025 09:48:29 -0700

Returning to this issue of preferring python3, from last year:

    https://debbugs.gnu.org/cgi/bugreport.cgi?bug=71672
    
    Add these three macros to Autoconf proper:
    ..._PYTHON_...

Have they been added?

    I think that should disentangle things reasonably well, but we should
    definitely do this early rather than late in an automake release cycle,

I hope to put out the next automake pretest->release very soon. So I
guess whatever happens

    and seek out feedback from existing users of AM_PATH_PYTHON.

To be clear, the above suggested factoring-out won't (intentionally)
affect the behavior of AM_PATH_PYTHON, right? It will still look for
"python" first, and still do all the stuff it does. I want Automake to
stay as backward-compatible as possible. --thanks, karl.